////////////////////////////////////////////////////
// file: camera.h                                 //
//                                                //
// task: defines the camera class that gives      //
//       access to two different cameras:         //
//       - Pretec, Compact Flash Camera,          //
//         1.3 MPixels                            //
//       - LifeView, FlyCAM-CF Camera,            //
//         1.3 MPixels                            //
//                                                //
// authors: Team NimbRo,                          //
//          Albert-Ludwigs-University of Freiburg //
//          Germany                               //
//          www.nimbro.net                        //
//          September 2004                        //
//                                                //
// compile: the source-code was programmed and    //
//          compiled with Microsoft's eMbedded    //
//          Visual C++ 3.0 IDE as a part of the   //
//          eMbedded Visual Tools 3.0 - 2002      //
//          Edition. Can be downloaded and used   //
//          for free from www.microsoft.com       //
////////////////////////////////////////////////////


///////////////////
// include files //
///////////////////

// for using PBYTE
#include "windows.h"


//////////////////////
// class definition //
//////////////////////
class camera {

	public:
		camera();
		~camera();
		int init(int _width, int _height);
		void close();
		void getPicture(PBYTE _p_buffer);
		void rotatePicture(PBYTE _p_buffer);

	private:
		int m_CAPTURE_WIDTH;
		int m_CAPTURE_HEIGHT;
		HANDLE m_PretecCamera_Handle;
		void getPixel(PBYTE pic, int w, int x, int y, int* R, int* G, int* B);
		void setPixel(PBYTE pic, int w, int x, int y, int  R, int  G, int  B);
						

}; // end-class camera